Skip to main content
GET
/
v1
/
portal-content
/
{contentId}
/
translations
curl -X GET \
  'https://api.appcharge.com/v1/portal-content/507f1f77bcf86cd799439011/translations' \
  -H 'x-publisher-token: <x-publisher-token>'
{
  "items": [
    {
      "isoCode": "fr-FR",
      "title": "Bienvenue dans notre jeu",
      "subTitle": "Tout ce que vous devez savoir",
      "bodyText": "Ceci est le contenu principal de l'article en français...",
      "headerImage": "https://cdn.example.com/images/header-fr.jpg",
      "thumbnailImage": "https://media.appcharge.com/media/25cb4861ec8924a6b69a0f59/book-shelf1920.jpg",
      "labels": ["tutoriel", "débutant"]
    },
    {
      "isoCode": "es-ES",
      "title": "Bienvenido a nuestro juego",
      "subTitle": "Todo lo que necesitas saber",
      "bodyText": "Este es el cuerpo principal del artículo en español...",
      "headerImage": "https://cdn.example.com/images/header-es.jpg",
      "thumbnailImage": "https://media.appcharge.com/media/25cb4861ec8924a6b69a0f59/book-shelf1920.jpg",
      "labels": ["tutorial", "principiante"]
    }
  ]
}
curl -X GET \
  'https://api.appcharge.com/v1/portal-content/507f1f77bcf86cd799439011/translations' \
  -H 'x-publisher-token: <x-publisher-token>'
{
  "items": [
    {
      "isoCode": "fr-FR",
      "title": "Bienvenue dans notre jeu",
      "subTitle": "Tout ce que vous devez savoir",
      "bodyText": "Ceci est le contenu principal de l'article en français...",
      "headerImage": "https://cdn.example.com/images/header-fr.jpg",
      "thumbnailImage": "https://media.appcharge.com/media/25cb4861ec8924a6b69a0f59/book-shelf1920.jpg",
      "labels": ["tutoriel", "débutant"]
    },
    {
      "isoCode": "es-ES",
      "title": "Bienvenido a nuestro juego",
      "subTitle": "Todo lo que necesitas saber",
      "bodyText": "Este es el cuerpo principal del artículo en español...",
      "headerImage": "https://cdn.example.com/images/header-es.jpg",
      "thumbnailImage": "https://media.appcharge.com/media/25cb4861ec8924a6b69a0f59/book-shelf1920.jpg",
      "labels": ["tutorial", "principiante"]
    }
  ]
}

Headers

x-publisher-token
string
required

Publisher token.

Path Parameters

contentId
string
required

Content ID.

Response

Translations retrieved successfully.

items
object[]

List of translations for the content item. Each item represents a locale and its translations.